Loading...
Searching...
No Matches
psa_drv_se_t Struct Reference
Secure element driver registration

`#include <crypto_se_driver.h>`

Collaboration diagram for psa_drv_se_t:
[legend]

## Data Fields

uint32_t | private_hal_version
size_t | private_persistent_data_size
psa_drv_se_init_t | private_p_init
const psa_drv_se_key_management_t * | private_key_management
const psa_drv_se_mac_t * | private_mac
const psa_drv_se_cipher_t * | private_cipher
const psa_drv_se_aead_t * | private_aead
const psa_drv_se_asymmetric_t * | private_asymmetric
const psa_drv_se_key_derivation_t * | private_derivation

## Detailed Description

A structure containing pointers to all the entry points of a secure element driver.

Future versions of this specification may add extra substructures at the end of this structure.

Definition at line 1278 of file crypto_se_driver.h.

## Field Documentation

## private_aead

const psa_drv_se_aead_t* psa_drv_se_t::private_aead

Definition at line 1311 of file crypto_se_driver.h.

## private_asymmetric

const psa_drv_se_asymmetric_t* psa_drv_se_t::private_asymmetric

Definition at line 1312 of file crypto_se_driver.h.

## private_cipher

const psa_drv_se_cipher_t* psa_drv_se_t::private_cipher

Definition at line 1310 of file crypto_se_driver.h.

## private_derivation

const psa_drv_se_key_derivation_t* psa_drv_se_t::private_derivation

Definition at line 1313 of file crypto_se_driver.h.

## private_hal_version

uint32_t psa_drv_se_t::private_hal_version

The version of the driver HAL that this driver implements. This is a protection against loading driver binaries built against a different version of this specification. Use PSA_DRV_SE_HAL_VERSION.

Definition at line 1284 of file crypto_se_driver.h.

## private_key_management

const psa_drv_se_key_management_t* psa_drv_se_t::private_key_management

Definition at line 1308 of file crypto_se_driver.h.

## private_mac

const psa_drv_se_mac_t* psa_drv_se_t::private_mac

Definition at line 1309 of file crypto_se_driver.h.

## private_p_init

psa_drv_se_init_t psa_drv_se_t::private_p_init

The driver initialization function.

This function is called once during the initialization of the PSA Cryptography subsystem, before any other function of the driver is called. If this function returns a failure status, the driver will be unusable, at least until the next system reset.

If this field is `NULL`, it is equivalent to a function that does nothing and returns PSA_SUCCESS.

Definition at line 1306 of file crypto_se_driver.h.

## private_persistent_data_size

size_t psa_drv_se_t::private_persistent_data_size

The size of the driver's persistent data in bytes.

This can be 0 if the driver does not need persistent data.

See the documentation of psa_drv_se_context_t::persistent_data for more information about why and how a driver can use persistent data.

Definition at line 1294 of file crypto_se_driver.h.

The documentation for this struct was generated from the following file:

- crypto_se_driver.h